Skip to main content
GET
/
v1
/
compute
/
instance_types
List available instance types
curl --request GET \
  --url https://api.cnap.tech/v1/compute/instance_types \
  --header 'Authorization: Bearer <token>'
[
  {
    "name": "cpx31",
    "arch": "amd64",
    "cpu": 4,
    "memory_mib": 8192,
    "storage_mib": 163840,
    "price_per_hour": 0.0208,
    "available": true,
    "zone": "fsn1",
    "capacity_type": "on-demand"
  }
]

Authorizations

Authorization
string
header
required

Personal Access Token (cnap_pat_...) or OAuth2 JWT. Create tokens at https://cnap.tech/account/tokens

Query Parameters

config
string

Config name (optional — derived from cluster context when omitted)

Response

Available instance types

name
string
required
Example:

"cpx31"

arch
string
required
Example:

"amd64"

cpu
number
required
Example:

4

memory_mib
number
required
Example:

8192

storage_mib
number
required
Example:

163840

price_per_hour
number
required
Example:

0.0208

available
boolean
required
Example:

true

zone
string
Example:

"fsn1"

capacity_type
string
Example:

"on-demand"